- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
管理身份源
- /
- 在某个已有身份源下创建新连接
¶ Create a new connection under an existing identity source
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.
Create a new connection under an existing identity source, you can set the identity source icon, whether to support login only, etc.
¶ Method name
ManagementClient.create_ext_idp_conn
¶ Request parameters
| Name | Type | Is it required? | Default value | Description | Sample value |
|---|---|---|---|---|---|
| fields | object | Yes | - | Custom configuration information for the connection | {"clientId":"clientId on the identity source","clientSecret":"clientSecret on the identity source"} |
| displayName | string | Yes | - | Display name of the connection on the login page | Login page |
| identifier | string | Yes | - | Identity source connection identifier | 60b49eb83fd80adb96f26e68 |
| type | string | yes | - | Identity source connection type | ad |
| extIdpId | string | yes | - | Identity source connection ID | 60b49eb83fd80adb96f26e68 |
| loginOnly | boolean | no | - | Whether to support login only | |
| logo | string | no | - | Identity source icon | https://files.authing.co/authing-console/social-connections/icon_xiaochengxu@2x.png |
| tenantId | string | no | - | Tenant ID | 60b49eb83fd80adb96f26e68 |
¶ Request Response
Type: ExtIdpConnDetailSingleRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
¶ Data Structure
¶ ExtIdpConnDetail
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| id | string | Yes | Identity source connection id | 60b49eb83fd80adb96f26e68 |
| type | string | Yes | Identity source connection type | oidc |
| extIdpId | string | Yes | Identity source ID | 6318061be13c0ce6a64093e5 |
| logo | string | Yes | Identity source connection icon | https://files.authing.co/authing-console/social-connections/icon_xiaochengxu@2x.png |
| identifier | string | No | Identity source connection identifier | 60b49eb83fd80adb96f26e68 |
| displayName | string | No | Display name of the identity source connection on the login page | LoginPage |
| loginOnly | boolean | Yes | Whether to support only login | true |
| associationMode | string | Yes | Account association mode | none |
| challengeBindingMethods | array | Yes | Account binding method | ["email-password"] |
